
#import <appkit/appkit.h>

@interface RulePanel:View {

/* panel control - - - - - - - - - - - - - - - - - - - - - - - - */

/* - - - - - - - Holding Box for Special Rules - - - - - - - - - */

	id		arithmRuleBox;
	id		composRuleBox;
	id		equivRuleBox;
	id		miscRuleBox;
	id		pmutRuleBox;
	id		specBigBox;
	id		specLilBox;
	id		subsetRuleBox;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;

/* main window - - - - - - - - - - - - - - - - - - - - - - - -  */

	id		sem0,sem1,sem2;
	id		ascru;
	id		pSliders;
	id		pWindows;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		wrule;

	id		s00,s01,s02,s10,s11,s12,s20,s21,s22;

	id		stRuleNumber;
	id		stWindow;

/* clannish Window  - - - - - - - - - - - - - - - - - - - - - */

	id		clanMatrix;
	id		clan2h;

/* totalistic rules  - - - - - - - - - - - - - - - - - - - - - */

	id		toascru;
	id		toRuleBox;
	id		toRuleNumber;
	id		toWindow;

/* trivia Panel    - - - - - - - - - - - - - - - - - - - - - - */

	id		statEntro;
	id		statIndx;
	id		statLamb;
	id		statState;
	id		statXeno;
	id		statPairs;
	id 		statPentro;

/* - - - - - - - Designed Rule - - - - - - - - - - - */

	id		designPrm;
	id		designRef;
	id		zeZeZe;

	id 		twoRules;

        id 		browser;
        id 		changeLine;

/* permuted rule - - - - - - - - - - - - - - - - - - - - - - -  */

	id		pMut0;
	id		pMut1;
	id		pMut2;

/* symmetric rule - - - - - - - - - - - - - - - - - - - - - - - */

	id		sRuleCoef;
	id		sRuleExp;
	id		sRuleIncr;

	id		gfWindow;


	id 		RECLine;
	id 		RECPanel;
	id		RECValue;

	id		composRuleNumb;

}

- arithmCombs:sender;
- initTwoRules:sender;

- freeAllRules:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readWRule:sender;
- protectGenRule:sender;
- setAllRules:sender;
- setDemo:sender;
- setDimension:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- zeroRules:sender;

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF3Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- enterSemiRule:sender;
- setSemiState:sender;

/* Totalistic Rule  - - - - - - - - - - - - - - - - - - - - - */
- enterTotalisticRule:sender;
- ranTRule:sender;
- readTRule:sender;
- setTotalisticState:sender;
- setTotRule:sender;
- setTotRules:sender;

/* permutation Window  - - - - - - - - - - - - - - - - - - - - - */

- pmutValue:sender;
- pmutRule:sender;

- xenophilic:sender;
- xenophobic:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;

- enterMiscRule:sender;

- nxasfreq; 

- runRECLine:sender;
- useRecLine:sender;

- composRule:sender;
- compxRule:sender;
- comprRule:sender;

- loadLowerPanel:thisRuleBox;  
- loadSpecialRule:sender;

@end 

/* end RulePanel.h */ 
